Bug 1015007 - No "comment" link on failed recipes
No "comment" link on failed recipes
Status: CLOSED CURRENTRELEASE
Product: Beaker
Classification: Community
Component: web UI (Show other bugs)
0.15
Unspecified Unspecified
unspecified Severity unspecified (vote)
: 0.15.1
: ---
Assigned To: Dan Callaghan
tools-bugs
: Regression
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-03 05:52 EDT by Jiri Benc
Modified: 2017-02-16 09:58 EST (History)
10 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-10-23 02:58:01 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Screenshot (27.44 KB, image/png)
2013-10-03 05:52 EDT, Jiri Benc
no flags Details

  None (edit)
Description Jiri Benc 2013-10-03 05:52:21 EDT
Created attachment 806996 [details]
Screenshot

After the recent redesign, the "comment" link next to Ack/Nak/Needs Review radio buttons is missing on failed recipes. It's present on recipes that succeeded but it's missing on recipes that failed (where it's more needed). Clicking Ack or Nak doesn't change that.
Comment 2 Dan Callaghan 2013-10-09 07:26:15 EDT
Patch to fix the display issues with the current ack panel:

http://gerrit.beaker-project.org/2341

Proposed patch to update the UI to something a bit nicer:

http://gerrit.beaker-project.org/2342

The latter patch might be better as part of a wider overhaul of the job page so might not be suitable for 0.15.1.
Comment 3 Nick Coghlan 2013-10-09 23:10:40 EDT
Agreed that the second patch would be better considered as part of something like bug 1013445 in Beaker 0.16 rather than being included in 0.15.1.

First patch looks good, though.
Comment 7 Raymond Mancy 2013-10-23 02:58:01 EDT
beaker 0.15.1 has been released.

Note You need to log in before you can comment on or make changes to this bug.